using System.Windows;
using CODE.Framework.Wpf.Mvvm;

namespace DocumentExamples.Models.Home
{
    public class StartViewModel : ViewModel
    {
        public static StartViewModel Current { get; set; }

        public StartViewModel()
        {
            Current = this;
        }

        public void LoadActions()
        {
            Actions.Clear();

            // TODO: The following list of actions is used to populate the application's main navigation area (such as a menu or a home screen)

            Actions.Add(new ViewAction("Customer List", execute: (a, o) => Controller.Action("Print", "CustomerList")) { Significance = ViewActionSignificance.AboveNormal, BrushResourceKey = "CODE.Framework-Icon-Page2" });
            Actions.Add(new ViewAction("Condensed Customer List", execute: (a, o) => Controller.Action("Print", "CustomerList2")) { Significance = ViewActionSignificance.AboveNormal, BrushResourceKey = "CODE.Framework-Icon-Page2" });
            Actions.Add(new ViewAction("Filtered Customer List", execute: (a, o) => Controller.Action("Print", "CustomerWithFilter")) { Significance = ViewActionSignificance.AboveNormal, BrushResourceKey = "CODE.Framework-Icon-Page2" });
            Actions.Add(new ViewAction("Product Catalog", execute: (a, o) => Controller.Action("Print", "ProductCatalog")) { Significance = ViewActionSignificance.AboveNormal, BrushResourceKey = "CODE.Framework-Icon-Page2" });
            Actions.Add(new ViewAction("Print Invoice", execute: (a, o) => Controller.Action("Print", "Invoice")) { Significance = ViewActionSignificance.AboveNormal, BrushResourceKey = "CODE.Framework-Icon-Page2" });
            Actions.Add(new ViewAction("Edit Invoice", execute: (a, o) => Controller.Action("Print", "EditInvoice")) { Significance = ViewActionSignificance.AboveNormal, BrushResourceKey = "CODE.Framework-Icon-Page2" });
            Actions.Add(new ViewAction("List of Orders", execute: (a, o) => Controller.Action("Print", "Orders")) { Significance = ViewActionSignificance.AboveNormal, BrushResourceKey = "CODE.Framework-Icon-Page2" });

            Actions.Add(new SwitchThemeViewAction("Metro", "Metro Theme", category: "View"));
            Actions.Add(new SwitchThemeViewAction("Battleship", "Windows 95 Theme", category: "View"));
        }
    }
}
